Name:		perl-Mail-DKIM
Version: 	0.32
Release:	7.2
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Mail::DKIM
URL: 		http://search.cpan.org/~jaslong
Source0: 	Mail-DKIM-%{version}_6.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl openssl-devel perl-Net-DNS perl-Crypt-OpenSSL-RSA perl-MailTools
BuildArch:	noarch

%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
Signs/verifies Internet mail with DKIM/DomainKey signatures 

%prep
%setup -q -n Mail-DKIM-%{version}_6

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist


%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorlib}/Mail
%dir %{perl_vendorlib}/Mail/DKIM
%dir %{perl_vendorlib}/Mail/DKIM/Algorithm
%dir %{perl_vendorlib}/Mail/DKIM/Canonicalization
%{perl_vendorlib}/Mail/DKIM.pm
%{perl_vendorlib}/Mail/DKIM/Algorithm/Base.pm
%{perl_vendorlib}/Mail/DKIM/Algorithm/dk_rsa_sha1.pm
%{perl_vendorlib}/Mail/DKIM/Algorithm/rsa_sha1.pm
%{perl_vendorlib}/Mail/DKIM/Algorithm/rsa_sha256.pm
%{perl_vendorlib}/Mail/DKIM/Canonicalization/Base.pm
%{perl_vendorlib}/Mail/DKIM/Canonicalization/DkCommon.pm
%{perl_vendorlib}/Mail/DKIM/Canonicalization/DkimCommon.pm
%{perl_vendorlib}/Mail/DKIM/Canonicalization/dk_nofws.pm
%{perl_vendorlib}/Mail/DKIM/Canonicalization/dk_simple.pm
%{perl_vendorlib}/Mail/DKIM/Canonicalization/nowsp.pm
%{perl_vendorlib}/Mail/DKIM/Canonicalization/relaxed.pm
%{perl_vendorlib}/Mail/DKIM/Canonicalization/simple.pm
%{perl_vendorlib}/Mail/DKIM/Common.pm
%{perl_vendorlib}/Mail/DKIM/DNS.pm
%{perl_vendorlib}/Mail/DKIM/DkSignature.pm
%{perl_vendorlib}/Mail/DKIM/DkimPolicy.pm
%{perl_vendorlib}/Mail/DKIM/Key.pm
%{perl_vendorlib}/Mail/DKIM/KeyValueList.pm
%{perl_vendorlib}/Mail/DKIM/MessageParser.pm
%{perl_vendorlib}/Mail/DKIM/Policy.pm
%{perl_vendorlib}/Mail/DKIM/PrivateKey.pm
%{perl_vendorlib}/Mail/DKIM/PublicKey.pm
%{perl_vendorlib}/Mail/DKIM/Signature.pm
%{perl_vendorlib}/Mail/DKIM/Signer.pm
%{perl_vendorlib}/Mail/DKIM/SignerPolicy.pm
%{perl_vendorlib}/Mail/DKIM/TextWrap.pm
%{perl_vendorlib}/Mail/DKIM/Verifier.pm
%{_mandir}/man3/Mail::DKIM.3pm*
%{_mandir}/man3/Mail::DKIM::Algorithm::Base.3pm*
%{_mandir}/man3/Mail::DKIM::Canonicalization::Base.3pm*
%{_mandir}/man3/Mail::DKIM::Canonicalization::DkimCommon.3pm*
%{_mandir}/man3/Mail::DKIM::DkSignature.3pm*
%{_mandir}/man3/Mail::DKIM::DkimPolicy.3pm*
%{_mandir}/man3/Mail::DKIM::Policy.3pm*
%{_mandir}/man3/Mail::DKIM::PrivateKey.3pm*
%if 0%{?suse_version} >= 1100
%{_mandir}/man3/Mail::DKIM::PublicKey.3pm*
%endif
%{_mandir}/man3/Mail::DKIM::Signature.3pm*
%{_mandir}/man3/Mail::DKIM::Signer.3pm*
%{_mandir}/man3/Mail::DKIM::SignerPolicy.3pm*
%{_mandir}/man3/Mail::DKIM::TextWrap.3pm*
%{_mandir}/man3/Mail::DKIM::Verifier.3pm*

%changelog
* Sat Jul 12 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build, needed by amavisd-new / DKIM.
